import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../views/Home.vue'
import store from "../store/index.js"

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    component: Home
  },
  {
    path: '/about',
    name: 'About',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import('../views/About.vue')
  },
  {
    path:"/login",
    component: ()=> import("@/views/Login.vue")
  },
  {
    path:"/nav",
    component: ()=>import("@/views/DaoHang.vue"),
    children:[
      {
        path:"list",
        component: ()=> import("@/views/List.vue")
      },
      {
        path:"addstu",
        component:()=>import("@/views/AddSTu.vue")
      },
      {
        path:"stulist",
        component:()=>import("@/views/StuList.vue")
      },
    ]
  }
]




const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})


router.beforeEach((to,from,next)=>{
  console.log(store.state.userinfo,"vuex");
  if(store.state.userinfo.token !="" || localStorage.getItem("token")){
    next()
  }else if(to.path == "/login"){
    next()
  }else{
    next("/login")
  }
})


export default router

